#include <iostream>
#include <iomanip>
using namespace std;

union AnyValue {
	int n;
	double d;
	char s[10];
};

struct Variable {
	char name[10];
	int type;
	AnyValue value;
};

int read_vars (Variable *vars);
void print_vars (Variable *vars, int n);

int main() {
	const int MAX_VARS = 100;
	Variable vars[MAX_VARS];

	int n = read_vars(vars);
	print_vars(vars, n);
	cout << endl;
	return EXIT_SUCCESS;
}

int read_vars (Variable *vars) {
	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> vars[i].name;
		cin >> vars[i].type;
		switch(vars[i].type) {
		case 1:
			cin >> vars[i].value.n;
			break;
		case 2:
			cin >> vars[i].value.d;
			break;
		case 3:
			cin >> vars[i].value.s;
			break;
		default:
			cout << "Wrong type " << vars[i].type << endl;
			break;
		}
	}
	return n;
}
		

void print_vars (Variable *vars, int n) {
	static const char *types[] = {"int", "double", "string"};
	for (int i = 0; i < n; i++) {
		cout << setw(10) << vars[i].name;
		cout << setw(8) << types[vars[i].type-1];
		switch(vars[i].type) {
		case 1:
			cout << setw(10) << vars[i].value.n;
			break;
		case 2:
			cout << setw(10) << vars[i].value.d;
			break;
		case 3:
			cout << setw(10) << vars[i].value.s;
			break;
		default: 
			cout << "Wrong type " << vars[i].type;
			break;
		}
		cout << endl;
	}
}
		
